> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPayBeginDates

> 
The `getPayBeginDates` API returns available pay begin dates for Monthly and Semi-Monthly compensation frequencies.

### What it does:

- Returns valid pay begin date options for Monthly and Semi-Monthly pay schedules
- Used when setting up pay schedules to ensure proper payroll calendar alignment



## OpenAPI

````yaml get /reports/getPayBeginDates
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getPayBeginDates:
    get:
      tags: []
      summary: getPayBeginDates
      description: >-

        The `getPayBeginDates` API returns available pay begin dates for Monthly
        and Semi-Monthly compensation frequencies.


        ### What it does:


        - Returns valid pay begin date options for Monthly and Semi-Monthly pay
        schedules

        - Used when setting up pay schedules to ensure proper payroll calendar
        alignment
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getUser
                compensationFrequency:
                  type: string
              required:
                - method
                - compensationFrequency
            example:
              method: getMonthlyAndSemiMonthlyPayBeginDates
              compensationFrequency: Monthly
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  PayBeginDates for Monthly:
                    type: array
                    items:
                      type: string
                required:
                  - PayBeginDates for Monthly
              example:
                PayBeginDates for Monthly:
                  - '2025-01-01'
                  - '2025-02-01'
                  - '2025-03-01'
                  - '2025-04-01'
                  - '2025-05-01'
                  - '2025-06-01'
                  - '2025-07-01'
                  - '2025-08-01'
                  - '2025-09-01'
                  - '2025-10-01'
                  - '2025-11-01'
                  - '2025-12-01'
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: EmployeeId is Mandatory.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````